Bug 1982079 - Resource usage measurement data display the concatenation of English and translation sentence fragments in Cluster utilization of Home->Ovewview when moving the mouse over each resource usage chart
Summary: Resource usage measurement data display the concatenation of English and tran...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.8
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
: 4.9.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-14 07:20 UTC by Xu Rui Li
Modified: 2021-10-18 17:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Fixed an issue where the tooltip content was not translated in the utilization charts on the web console "Home -> Overview" page.
Clone Of:
Environment:
Last Closed: 2021-10-18 17:39:52 UTC
Target Upstream Version:


Attachments (Terms of Use)
Cluster utilization resource usage measurement data display the concatenation of English and Simplified Chinese sentence fragments in Cluster utilization of Home->Ovewview when moving the mouse over e (696.24 KB, image/png)
2021-07-14 07:20 UTC, Xu Rui Li
no flags Details
concatenation of English and Simplified Chinese sentence fragments (707.35 KB, image/png)
2021-07-14 07:22 UTC, Xu Rui Li
no flags Details
CPU utilization chart pesudo translation (180.58 KB, image/png)
2021-07-16 07:20 UTC, Yadan Pei
no flags Details
Filesystem utilization charts pesudo translation (105.62 KB, image/png)
2021-07-16 07:23 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9513 0 None open Bug 1982079: Translate utilization card tooltip 2021-07-14 15:07:09 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:53:09 UTC

Description Xu Rui Li 2021-07-14 07:20:30 UTC
Created attachment 1801379 [details]
Cluster utilization resource usage measurement data display the concatenation of English and Simplified Chinese sentence fragments in Cluster utilization of Home->Ovewview when moving the mouse over e

Description of problem:

Cluster utilization resource usage measurement data display the concatenation of English and translation sentence fragments in Cluster utilization of Home->Ovewview when moving the mouse over each resource usage chart.

Version-Release number of selected component (if applicable):
4.8

How reproducible:

Steps to Reproduce:
1.Login OpenShift Web console
2.The language preference set to Simplified Chinese language
3.In Administrator, access Home->Ovewview dashboard 
3.In Cluster utilization of Overview, cluster utilization resource usage measurement data display the concatenation of English and translation sentence fragments in Cluster utilization of Home->Ovewview when moving the mouse over each resource usage chart in Simplified Chinese language 

Actual results:
Cluster utilization resource usage measurement data display the concatenation of English and Simplified Chinese sentence fragments in Cluster utilization of Home->Ovewview when moving the mouse over each resource usage chart in Simplified Chinese language.

Expected results:
Cluster utilization resource usage measurement data display in Simplified Chinese in Cluster utilization of Home->Ovewview when moving the mouse over each resource usage chart in Simplified Chinese language.

Additional info:

Comment 1 Xu Rui Li 2021-07-14 07:22:57 UTC
Created attachment 1801380 [details]
concatenation of English and Simplified Chinese sentence fragments

Comment 3 Yadan Pei 2021-07-16 07:20:32 UTC
Created attachment 1802265 [details]
CPU utilization chart pesudo translation

Comment 4 Yadan Pei 2021-07-16 07:23:04 UTC
Created attachment 1802266 [details]
Filesystem utilization charts pesudo translation

The utilization charts tooltip pesudo translation has been verified on 4.9.0-0.nightly-2021-07-16-011609

Comment 5 Yadan Pei 2021-07-16 07:25:04 UTC
sorry, changing assignee back to spadgett

Comment 6 Yadan Pei 2021-07-16 07:27:18 UTC
The actual translation should be ready in next couple of days/weeks, is that the truth @spadgett ? 

We all agreed that a bug can be moved to VERIFIED once pesudo translation is ready, let me know if you have any concerns xurl.com

Comment 7 Samuel Padgett 2021-07-16 13:00:52 UTC
(In reply to Yadan Pei from comment #6)
> The actual translation should be ready in next couple of days/weeks, is that
> the truth @spadgett ? 

Yes, that's correct.

Comment 10 errata-xmlrpc 2021-10-18 17:39:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759

Comment 11 errata-xmlrpc 2021-10-18 17:52:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.